package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

@Entity
@Table(
   name = "T_CORE_DATASYSTEM"
)
public class TCoreDatasystem extends TBaseEntity {
   @Column(
      length = 50
   )
   private String dbtype;
   @Column(
      length = 32
   )
   private String dbip;
   @Column(
      length = 32
   )
   private String dbport;
   @Column(
      length = 128
   )
   private String dbservername;
   @Column(
      length = 32
   )
   private String servername;
   @Column(
      length = 50
   )
   private String username;
   @Column(
      length = 50
   )
   private String password;
   private Date createtime;
   @Column(
      length = 50
   )
   private String sysname;
   @Column(
      length = 128
   )
   private String dbschema;
   @Column(
      length = 50
   )
   private String parentid;
   @Column(
      length = 1
   )
   private String inengine;
   @Column(
      length = 50
   )
   private String pagecode;
   @Column(
      length = 32
   )
   private String connectip;
   @Column(
      length = 50
   )
   private String connectname;
   @Column(
      length = 50
   )
   private String dblinkname;
   @Column(
      length = 255
   )
   private String localdir;
   @Column(
      length = 1
   )
   private String connectmode;
   @Column(
      length = 50
   )
   private String istargetdb;
   @Column(
      length = 5
   )
   private String iskerberos;
   @Column(
      length = 255
   )
   private String principal;
   @Column(
      length = 255
   )
   private String loginprincipal;
   @Column(
      length = 255
   )
   private String keytab;
   @Column(
      length = 255
   )
   private String xmlpath;
   @Column(
      length = 32
   )
   private String version;
   @Column(
      length = 255
   )
   private String krb5conf;
   @Column(
      length = 255
   )
   private String hdfsKeberos;
   @Column(
      length = 1
   )
   private String oracleisins;
   private String ischarset;
   private String versionname;
   private String issysdba;
   private String code;
   @Transient
   private String iconCls;

   public String getXmlpath() {
      return this.xmlpath;
   }

   public void setXmlpath(String xmlpath) {
      this.xmlpath = xmlpath;
   }

   public String getCode() {
      return this.code;
   }

   public void setCode(String code) {
      this.code = code;
   }

   public String getVersionname() {
      return this.versionname;
   }

   public void setVersionname(String versionname) {
      this.versionname = versionname;
   }

   public String getIscharset() {
      return this.ischarset;
   }

   public void setIscharset(String ischarset) {
      this.ischarset = ischarset;
   }

   public String getIskerberos() {
      return this.iskerberos;
   }

   public void setIskerberos(String iskerberos) {
      this.iskerberos = iskerberos;
   }

   public String getPrincipal() {
      return this.principal;
   }

   public void setPrincipal(String principal) {
      this.principal = principal;
   }

   public String getLoginprincipal() {
      return this.loginprincipal;
   }

   public void setLoginprincipal(String loginprincipal) {
      this.loginprincipal = loginprincipal;
   }

   public String getKeytab() {
      return this.keytab;
   }

   public void setKeytab(String keytab) {
      this.keytab = keytab;
   }

   public String getHdfsKeberos() {
      return this.hdfsKeberos;
   }

   public void setHdfsKeberos(String hdfsKeberos) {
      this.hdfsKeberos = hdfsKeberos;
   }

   public String getDbtype() {
      return this.dbtype;
   }

   public String getIstargetdb() {
      return this.istargetdb;
   }

   public void setIstargetdb(String istargetdb) {
      this.istargetdb = istargetdb;
   }

   public void setDbtype(String dbtype) {
      this.dbtype = dbtype;
   }

   public String getDbip() {
      return this.dbip;
   }

   public void setDbip(String dbip) {
      this.dbip = dbip;
   }

   public String getDbport() {
      return this.dbport;
   }

   public void setDbport(String dbport) {
      this.dbport = dbport;
   }

   public String getDbservername() {
      return this.dbservername;
   }

   public void setDbservername(String dbservername) {
      this.dbservername = dbservername;
   }

   public String getServername() {
      return this.servername;
   }

   public void setServername(String servername) {
      this.servername = servername;
   }

   public String getUsername() {
      return this.username;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public String getPassword() {
      return this.password;
   }

   public void setPassword(String password) {
      this.password = password;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public String getSysname() {
      return this.sysname;
   }

   public void setSysname(String sysname) {
      this.sysname = sysname;
   }

   public String getDbschema() {
      return this.dbschema;
   }

   public void setDbschema(String dbschema) {
      this.dbschema = dbschema;
   }

   public String getParentid() {
      return this.parentid;
   }

   public void setParentid(String parentid) {
      this.parentid = parentid;
   }

   public String getInengine() {
      return this.inengine;
   }

   public void setInengine(String inengine) {
      this.inengine = inengine;
   }

   public String getPagecode() {
      return this.pagecode;
   }

   public void setPagecode(String pagecode) {
      this.pagecode = pagecode;
   }

   public String getConnectip() {
      return this.connectip;
   }

   public void setConnectip(String connectip) {
      this.connectip = connectip;
   }

   public String getConnectname() {
      return this.connectname;
   }

   public void setConnectname(String connectname) {
      this.connectname = connectname;
   }

   public String getDblinkname() {
      return this.dblinkname;
   }

   public void setDblinkname(String dblinkname) {
      this.dblinkname = dblinkname;
   }

   public String getLocaldir() {
      return this.localdir;
   }

   public void setLocaldir(String localdir) {
      this.localdir = localdir;
   }

   public String getIconCls() {
      return this.iconCls;
   }

   public void setIconCls(String iconCls) {
      this.iconCls = iconCls;
   }

   public void setFlag(String flag) {
      super.setFlag(flag);
   }

   public String getFlag() {
      return super.getFlag();
   }

   public String getConnectmode() {
      return this.connectmode;
   }

   public void setConnectmode(String connectmode) {
      this.connectmode = connectmode;
   }

   public String getIssysdba() {
      return this.issysdba;
   }

   public void setIssysdba(String issysdba) {
      this.issysdba = issysdba;
   }

   public String getVersion() {
      return this.version;
   }

   public void setVersion(String version) {
      this.version = version;
   }

   public String getKrb5conf() {
      return this.krb5conf;
   }

   public String getOracleisins() {
      return this.oracleisins;
   }

   public void setOracleisins(String oracleisins) {
      this.oracleisins = oracleisins;
   }

   public void setKrb5conf(String krb5conf) {
      this.krb5conf = krb5conf;
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.connectip == null ? 0 : this.connectip.hashCode());
      result = 31 * result + (this.connectname == null ? 0 : this.connectname.hashCode());
      result = 31 * result + (this.createtime == null ? 0 : this.createtime.hashCode());
      result = 31 * result + (this.dbip == null ? 0 : this.dbip.hashCode());
      result = 31 * result + (this.dblinkname == null ? 0 : this.dblinkname.hashCode());
      result = 31 * result + (this.dbport == null ? 0 : this.dbport.hashCode());
      result = 31 * result + (this.dbschema == null ? 0 : this.dbschema.hashCode());
      result = 31 * result + (this.dbservername == null ? 0 : this.dbservername.hashCode());
      result = 31 * result + (this.dbtype == null ? 0 : this.dbtype.hashCode());
      result = 31 * result + (this.iconCls == null ? 0 : this.iconCls.hashCode());
      result = 31 * result + (this.inengine == null ? 0 : this.inengine.hashCode());
      result = 31 * result + (this.localdir == null ? 0 : this.localdir.hashCode());
      result = 31 * result + (this.pagecode == null ? 0 : this.pagecode.hashCode());
      result = 31 * result + (this.parentid == null ? 0 : this.parentid.hashCode());
      result = 31 * result + (this.password == null ? 0 : this.password.hashCode());
      result = 31 * result + (this.servername == null ? 0 : this.servername.hashCode());
      result = 31 * result + (this.sysname == null ? 0 : this.sysname.hashCode());
      result = 31 * result + (this.username == null ? 0 : this.username.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreDatasystem other = (TCoreDatasystem)obj;
         if (this.connectip == null) {
            if (other.connectip != null) {
               return false;
            }
         } else if (!this.connectip.equals(other.connectip)) {
            return false;
         }

         if (this.connectname == null) {
            if (other.connectname != null) {
               return false;
            }
         } else if (!this.connectname.equals(other.connectname)) {
            return false;
         }

         if (this.createtime == null) {
            if (other.createtime != null) {
               return false;
            }
         } else if (!this.createtime.equals(other.createtime)) {
            return false;
         }

         if (this.dbip == null) {
            if (other.dbip != null) {
               return false;
            }
         } else if (!this.dbip.equals(other.dbip)) {
            return false;
         }

         if (this.dblinkname == null) {
            if (other.dblinkname != null) {
               return false;
            }
         } else if (!this.dblinkname.equals(other.dblinkname)) {
            return false;
         }

         if (this.dbport == null) {
            if (other.dbport != null) {
               return false;
            }
         } else if (!this.dbport.equals(other.dbport)) {
            return false;
         }

         if (this.dbschema == null) {
            if (other.dbschema != null) {
               return false;
            }
         } else if (!this.dbschema.equals(other.dbschema)) {
            return false;
         }

         if (this.dbservername == null) {
            if (other.dbservername != null) {
               return false;
            }
         } else if (!this.dbservername.equals(other.dbservername)) {
            return false;
         }

         if (this.dbtype == null) {
            if (other.dbtype != null) {
               return false;
            }
         } else if (!this.dbtype.equals(other.dbtype)) {
            return false;
         }

         if (this.iconCls == null) {
            if (other.iconCls != null) {
               return false;
            }
         } else if (!this.iconCls.equals(other.iconCls)) {
            return false;
         }

         if (this.inengine == null) {
            if (other.inengine != null) {
               return false;
            }
         } else if (!this.inengine.equals(other.inengine)) {
            return false;
         }

         if (this.localdir == null) {
            if (other.localdir != null) {
               return false;
            }
         } else if (!this.localdir.equals(other.localdir)) {
            return false;
         }

         if (this.pagecode == null) {
            if (other.pagecode != null) {
               return false;
            }
         } else if (!this.pagecode.equals(other.pagecode)) {
            return false;
         }

         if (this.parentid == null) {
            if (other.parentid != null) {
               return false;
            }
         } else if (!this.parentid.equals(other.parentid)) {
            return false;
         }

         if (this.password == null) {
            if (other.password != null) {
               return false;
            }
         } else if (!this.password.equals(other.password)) {
            return false;
         }

         if (this.servername == null) {
            if (other.servername != null) {
               return false;
            }
         } else if (!this.servername.equals(other.servername)) {
            return false;
         }

         if (this.sysname == null) {
            if (other.sysname != null) {
               return false;
            }
         } else if (!this.sysname.equals(other.sysname)) {
            return false;
         }

         if (this.username == null) {
            if (other.username != null) {
               return false;
            }
         } else if (!this.username.equals(other.username)) {
            return false;
         }

         return true;
      }
   }

   public String toString() {
      return "TCoreDatasystem [dbtype=" + this.dbtype + ", dbip=" + this.dbip + ", dbport=" + this.dbport + ", dbservername=" + this.dbservername + ", servername=" + this.servername + ", username=" + this.username + ", password=" + this.password + ", createtime=" + this.createtime + ", sysname=" + this.sysname + ", dbschema=" + this.dbschema + ", parentid=" + this.parentid + ", inengine=" + this.inengine + ", pagecode=" + this.pagecode + ", connectip=" + this.connectip + ", connectname=" + this.connectname + ", dblinkname=" + this.dblinkname + ", localdir=" + this.localdir + ", iconCls=" + this.iconCls + "]";
   }
}
